JUCE: AudioPluginInstance::Parameter Struct Reference

JUCE

Public Member Functions | Public Attributes | List of all members
AudioPluginInstance::Parameter Struct Reference

Structure used to describe plugin parameters. More...

Inheritance diagram for AudioPluginInstance::Parameter:

## Public Member Functions
| Parameter ()
| ~Parameter () override
String | getText (float value, int maximumStringLength) const override
| Returns a textual version of the supplied normalised parameter value. More...
float | getValueForText (const String &text) const override
| Should parse a string and return the appropriate value for it. More...
Public Member Functions inherited from AudioProcessorParameter
| AudioProcessorParameter () noexcept
virtual | ~AudioProcessorParameter ()
| Destructor. More...
virtual float | getValue () const =0
| Called by the host to find out the value of this parameter. More...
virtual void | setValue (float newValue)=0
| The host will call this method to change the value of a parameter. More...
void | setValueNotifyingHost (float newValue)
| A processor should call this when it needs to change one of its parameters. More...
void | beginChangeGesture ()
| Sends a signal to the host to tell it that the user is about to start changing this parameter. More...
void | endChangeGesture ()
| Tells the host that the user has finished changing this parameter. More...
virtual float | getDefaultValue () const =0
| This should return the default value for this parameter. More...
virtual String | getName (int maximumStringLength) const =0
| Returns the name to display for this parameter, which should be made to fit within the given string length. More...
virtual String | getLabel () const =0
| Some parameters may be able to return a label string for their units. More...
virtual int | getNumSteps () const
| Returns the number of steps that this parameter's range should be quantised into. More...
virtual bool | isDiscrete () const
| Returns whether the parameter uses discrete values, based on the result of getNumSteps, or allows the host to select values continuously. More...
virtual bool | isBoolean () const
| Returns whether the parameter represents a boolean switch, typically with "On" and "Off" states. More...
virtual bool | isOrientationInverted () const
| This can be overridden to tell the host that this parameter operates in the reverse direction. More...
virtual bool | isAutomatable () const
| Returns true if the host can automate this parameter. More...
virtual bool | isMetaParameter () const
| Should return true if this parameter is a "meta" parameter. More...
virtual Category | getCategory () const
| Returns the parameter's category. More...
int | getParameterIndex () const noexcept
| Returns the index of this parameter in its parent processor's parameter list. More...
virtual String | getCurrentValueAsText () const
| Returns the current value of the parameter as a String. More...
virtual StringArray | getAllValueStrings () const
| Returns the set of strings which represent the possible states a parameter can be in. More...
void | addListener (Listener *newListener)
| Registers a listener to receive events when the parameter's state changes. More...
void | removeListener (Listener *listener)
| Removes a previously registered parameter listener. More...
void | sendValueChangedMessageToListeners (float newValue)

## Public Attributes
StringArray | onStrings
StringArray | offStrings

## Additional Inherited Members
Public Types inherited from AudioProcessorParameter
enum | Category { genericParameter = (0 << 16) | 0, inputGain = (1 << 16) | 0, outputGain = (1 << 16) | 1, inputMeter = (2 << 16) | 0, outputMeter = (2 << 16) | 1, compressorLimiterGainReductionMeter = (2 << 16) | 2, expanderGateGainReductionMeter = (2 << 16) | 3, analysisMeter = (2 << 16) | 4, otherMeter = (2 << 16) | 5 }

## Detailed Description

Structure used to describe plugin parameters.

## Constructor & Destructor Documentation

## ◆ Parameter()

AudioPluginInstance::Parameter::Parameter | ( |  | ) |

## ◆ ~Parameter()

AudioPluginInstance::Parameter::~Parameter | ( |  | ) |
| override

## Member Function Documentation

## ◆ getText()

String AudioPluginInstance::Parameter::getText | ( | float | normalisedValue,
|  | int |
| ) |  | const
| overridevirtual

Returns a textual version of the supplied normalised parameter value.

The default implementation just returns the floating point value as a string, but this could do anything you need for a custom type of value.

Reimplemented from AudioProcessorParameter.

## ◆ getValueForText()

float AudioPluginInstance::Parameter::getValueForText | ( | const String & | text | ) | const
| overridevirtual

Should parse a string and return the appropriate value for it.

Implements AudioProcessorParameter.

## Member Data Documentation

## ◆ onStrings

StringArray AudioPluginInstance::Parameter::onStrings

## ◆ offStrings

StringArray AudioPluginInstance::Parameter::offStrings

The documentation for this struct was generated from the following file:

- juce_AudioPluginInstance.h